<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.3.11
Name: Blutgruppe Section
Description: Dieses Element enthält die Daten zur Blutgruppe.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000">
   <title>Blutgruppe Section</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.11
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]
Item: (Blutgruppesection)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.11
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]
Item: (Blutgruppesection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]"
         id="d18e4593-false-d38954e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'])&gt;=1">(Blutgruppesection): element hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'])&lt;=1">(Blutgruppesection): element hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2'])&gt;=1">(Blutgruppesection): element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2'])&lt;=1">(Blutgruppesection): element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(Blutgruppesection): element hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Blutgruppesection): element hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Blutgruppesection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Blutgruppesection): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Blutgruppesection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Blutgruppesection): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]])&gt;=1">(Blutgruppesection): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.11
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11']
Item: (Blutgruppesection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11']"
         id="d18e4595-false-d39033e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppesection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="string(@root)=('2.16.756.5.30.1.127.10.3.11')">(Blutgruppesection): The value for @root SHALL be '2.16.756.5.30.1.127.10.3.11'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.11
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']
Item: (Blutgruppesection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']"
         id="d18e4600-false-d39049e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppesection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="string(@root)=('2.16.756.5.30.1.1.1.1.3.4.1')">(Blutgruppesection): The value for @root SHALL be '2.16.756.5.30.1.1.1.1.3.4.1'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="string(@extension)=('CDA-CH.LRTP.Body.StudiesSummaryL2')">(Blutgruppesection): The value for @extension SHALL be 'CDA-CH.LRTP.Body.StudiesSummaryL2'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.11
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Blutgruppesection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d18e4607-false-d39069e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppesection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')">(Blutgruppesection): The element value SHALL be one of 'code '30954-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.11
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:title[not(@nullFlavor)]
Item: (Blutgruppesection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:title[not(@nullFlavor)]"
         id="d18e4612-false-d39086e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppesection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="text()='Blutgruppe' or text()='Groupe sanguin' or text()='Gruppo sanguigno' or text()='Blood Group'">(Blutgruppesection): the element content of hl7:title[not(@nullFlavor)] SHALL be ''Blutgruppe' or 'Groupe sanguin' or 'Gruppo sanguigno' or 'Blood Group''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.11
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:text[not(@nullFlavor)]
Item: (Blutgruppesection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:text[not(@nullFlavor)]"
         id="d18e4627-false-d39110e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppesection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.3.11
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]
Item: (Blutgruppesection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL2']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="string(@typeCode)=('DRIV')">(Blutgruppesection): The value for @typeCode SHALL be 'DRIV'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Blutgruppesection): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
   </rule>
</pattern>
