<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.4.29
Name: Blutgruppe
Description: Blutgruppe in strukturierter Form
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000">
   <title>Blutgruppe</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]
Item: (Blutgruppe)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]"
         id="d18e4963-false-d39873e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@classCode)=('OBS')">(Blutgruppe): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@moodCode)=('EVN')">(Blutgruppe): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.31'])&gt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.31'])&lt;=1">(Blutgruppe): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.31'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(Blutgruppe): element hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Blutgruppe): element hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Blutgruppe): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1">(Blutgruppe): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(Blutgruppe): element hl7:statusCode[@code='completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Blutgruppe): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(Blutgruppe): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(Blutgruppe): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:author[not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:author[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:author[not(@nullFlavor)])&lt;=1">(Blutgruppe): element hl7:author[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:entryRelationship[@typeCode='COMP'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]])&lt;=1">(Blutgruppe): element hl7:entryRelationship[@typeCode='COMP'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29']"
         id="d18e4969-false-d40037e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('2.16.756.5.30.1.127.10.4.29')">(Blutgruppe): The value for @root SHALL be '2.16.756.5.30.1.127.10.4.29'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup']"
         id="d18e4974-false-d40053e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('2.16.756.5.30.1.1.1.1.3.4.1')">(Blutgruppe): The value for @root SHALL be '2.16.756.5.30.1.1.1.1.3.4.1'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@extension)=('CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup')">(Blutgruppe): The value for @extension SHALL be 'CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13']"
         id="d18e4981-false-d40073e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.13')">(Blutgruppe): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6']"
         id="d18e4987-false-d40089e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.13.6')">(Blutgruppe): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13.6'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']"
         id="d18e4992-false-d40105e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.1.31')">(Blutgruppe): The value for @root SHALL be '2.16.840.1.113883.10.20.1.31'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:id[not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:id[not(@nullFlavor)]"
         id="d18e4997-false-d40120e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:code[(@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d18e4999-false-d40132e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@nullFlavor or (@code='882-1' and @codeSystem='2.16.840.1.113883.6.1')">(Blutgruppe): The element value SHALL be one of 'code '882-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]"
         id="d18e5009-false-d40149e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Blutgruppe): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Blutgruppe): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d18e5014-false-d40170e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@value">(Blutgruppe): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:statusCode[@code='completed']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:statusCode[@code='completed']"
         id="d18e5024-false-d40186e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@nullFlavor or (@code='completed')">(Blutgruppe): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:effectiveTime
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:effectiveTime"
         id="d18e5030-false-d40203e0">
      <extends rule="TS.CH.TZ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="not(*)">(Blutgruppe): <value-of select="local-name()"/> with datatype TS.CH.TZ, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d18e5036-false-d40220e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.3.6.1.4.1.12559.11.10.1.3.1.42.20-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Blutgruppe): The element value SHALL be one of '1.3.6.1.4.1.12559.11.10.1.3.1.42.20 epSOSBloodGroup (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]"
         id="d18e5044-false-d40242e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(Blutgruppe): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(Blutgruppe): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:time)&lt;=1">(Blutgruppe): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:assignedAuthor[hl7:id[@root='1.3.88']])&gt;=1">(Blutgruppe): element hl7:assignedAuthor[hl7:id[@root='1.3.88']] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:assignedAuthor[hl7:id[@root='1.3.88']])&lt;=1">(Blutgruppe): element hl7:assignedAuthor[hl7:id[@root='1.3.88']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:time
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:time"
         id="d18e5050-false-d40275e0">
      <extends rule="TS.CH.TZ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="not(*)">(Blutgruppe): <value-of select="local-name()"/> with datatype TS.CH.TZ, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[hl7:id[@root='1.3.88']]
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[hl7:id[@root='1.3.88']]"
         id="d18e5056-false-d40290e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(Blutgruppe): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:id[@root='1.3.88'])&gt;=1">(Blutgruppe): element hl7:id[@root='1.3.88'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="count(hl7:id[@root='1.3.88'])&lt;=1">(Blutgruppe): element hl7:id[@root='1.3.88'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[hl7:id[@root='1.3.88']]/hl7:id[@root='1.3.88']
Item: (Blutgruppe)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[hl7:id[@root='1.3.88']]/hl7:id[@root='1.3.88']"
         id="d18e5060-false-d40313e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutgruppe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@root)=('1.3.88')">(Blutgruppe): The value for @root SHALL be '1.3.88'.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="@extension">(Blutgruppe): attribute @extension SHALL be present.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.29
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:entryRelationship[@typeCode='COMP'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]
Item: (Blutgruppe)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.756.5.30.1.127.10.4.29'] and hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.4.1'][@extension='CDA-CH.LRTP.Body.StudiesSummaryL3.Bloodgroup'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.13.6'] and hl7:templateId[@root='2.16.840.1.113883.10.20.1.31']]/hl7:entryRelationship[@typeCode='COMP'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] and hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20171205T083708/tmp-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.html"
              test="string(@typeCode)=('COMP')">(Blutgruppe): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
